hpp-corbaserver: _objref_WeighedDistance Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_WeighedDistance Class Reference

`#include <hpp/core_idl/distances-idl.hh>`

Inheritance diagram for _objref_WeighedDistance:
[legend]
Collaboration diagram for _objref_WeighedDistance:
[legend]

## Public Member Functions
floatSeq * | getWeights ()
void | setWeights (const ::hpp::floatSeq &weights)
| _objref_WeighedDistance ()
| _objref_WeighedDistance (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_Distance
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
value_type | call (const ::hpp::floatSeq &q1, const ::hpp::floatSeq &q2)
| _objref_Distance ()
| _objref_Distance (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_WeighedDistance ()
Protected Member Functions inherited from _objref_Distance
virtual | ~_objref_Distance ()

## Friends
class | WeighedDistance

## Constructor & Destructor Documentation

## ◆ _objref_WeighedDistance() [1/2]

_objref_WeighedDistance::_objref_WeighedDistance | ( |  | ) |
| inline

## ◆ _objref_WeighedDistance() [2/2]

_objref_WeighedDistance::_objref_WeighedDistance | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_WeighedDistance()

virtual _objref_WeighedDistance::~_objref_WeighedDistance | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ getWeights()

floatSeq * _objref_WeighedDistance::getWeights | ( |  | ) |

## ◆ setWeights()

void _objref_WeighedDistance::setWeights | ( | const ::hpp::floatSeq & | weights | ) |

## Friends And Related Symbol Documentation

## ◆ WeighedDistance

friend class WeighedDistance
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/distances-idl.hh